%define upstream_name    Math-Vector-Real
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Real vector arithmetic in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
A simple pure perl module to manipulate vectors of any dimension.

The function 'V', always exported by the module, allows to create new
vectors:

  my $v = V(0, 1, 3, -1);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 512872
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 369682
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.100.0-1.mga3
+ Revision: 286277
- update to 0.10

* Wed Jul 04 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 267388
- update to 0.09

* Thu Nov 10 2011 kharec <kharec> 0.80.0-1.mga2
+ Revision: 166353
- update to 0.08

* Thu Jun 30 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 116520
- imported package perl-Math-Vector-Real


* Thu Jun 30 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
